"""
.. codeauthor:: Tsuyoshi Hombashi <tsuyoshi.hombashi@gmail.com>
"""

from ._elasticsearch import ElasticsearchIndexNameSanitizer
from ._excel import sanitize_excel_sheet_name, validate_excel_sheet_name
from ._javascript import JavaScriptVarNameSanitizer, sanitize_js_var_name, validate_js_var_name
from ._python import PythonVarNameSanitizer, sanitize_python_var_name, validate_python_var_name


__all__ = (
    "ElasticsearchIndexNameSanitizer",
    "JavaScriptVarNameSanitizer",
    "PythonVarNameSanitizer",
    "sanitize_excel_sheet_name",
    "sanitize_js_var_name",
    "sanitize_python_var_name",
    "validate_excel_sheet_name",
    "validate_js_var_name",
    "validate_python_var_name",
)
